/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

public interface ScriptObject extends JEObject {
    Integer getScript_id();

    String getScript_name();

    String getScript_description();

    String getScript_class_name();

    byte[] getScript_class();

    Long getCreator_id();

    Integer getCreator_type();

    Date getDate_modified();

    void setScript_id(Integer i);

    void setScript_name(String s);

    void setScript_description(String s);

    void setScript_class_name(String s);

    void setScript_class(byte[] b);

    void setCreator_id(Long l);

    void setCreator_type(Integer i);

    void setDate_modified(Date d);
}
